<?php
require'fun.php';
require'f_conectare.php';
conectare('ia cadoul','ia-cadoul');
$titlu='Ia cadoul';
require'f_sus.php';
require'f_mut.php';
$timptrecut=$conn->query('SELECT`timp_cadoul`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0]+3600;
if($timptrecut>$_SERVER['REQUEST_TIME'])
{
require'f_ramas.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Ai ridicat în ultima ora cadoul!<br />Urmatorul cadou vine în <strong>'.ramas($timptrecut-$_SERVER['REQUEST_TIME']).'</strong>'.$div[0];
}
else
{
if($conn->query('UPDATE`membrii`SET`timp_cadoul`="'.$_SERVER['REQUEST_TIME'].'",`cadoul`=cadoul+1 WHERE`id`="'.$de.'"'))
{
$conn->query('INSERT INTO`evenimente`SET`text`="a luat cadoul în valoare de [b]'.$lei['cadou'].'[/b] lei!",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('UPDATE`membrii`SET`lei`=lei+'.$lei['cadou'].' WHERE`id`="'.$de.'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Felicitari!!!<br />Ai primit <strong>'.$lei['cadou'].'</strong> lei cadou!<br />O sa poți primi în continuare odata pe ora, asta doar dacă stai conectat!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
}
echo$div[0].$div[1].'<a href="/top-ia-cadoul">'.img('topuri.gif',2).'Top ia cadoul</a>'.$div[0];
require'f_jos.php';